Bug 536184 - (RHQ-561) component needs a way to get the resource version
component needs a way to get the resource version
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 23:22 EDT by John Mazzitelli
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-06-10 23:22:00 EDT
There does not seem to be a way for a resource component to get the resource version, as discovered by the discovery component.

Discovery component discovers resources and determines its version while also determining the resource key.

But that information is not transfered to the resource component.  I think ResourceContext needs to provide the version that the plugin container was given by the discovery component.
Comment 1 Joseph Marques 2008-07-19 19:24:51 EDT
this sounds reasonable and should be a quick fix.  just add another field, expose it with a getter, and make sure it's set by the ResourceContext constructor.
Comment 2 John Mazzitelli 2009-02-05 16:40:17 EST
we probably need this - at least it makes sense if we are also to do RHQ-546
Comment 3 John Mazzitelli 2009-02-07 00:54:07 EST
added "getVersion()" to ResourceContext.
Comment 4 Corey Welton 2009-03-24 22:33:28 EDT
Method to verify, or is this a code change?
Comment 5 Jeff Weiss 2009-03-31 13:14:52 EDT
<mazz> jweiss: this was an improvement to the plugin API - it is exposed to plugin developers only (not UI users)

I don't know if it's worth developing a test plugin to test this functionality -i'm going to close this with no testing.
Comment 6 Red Hat Bugzilla 2009-11-10 16:11:57 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-561
This bug is related to RHQ-546

Note You need to log in before you can comment on or make changes to this bug.